Bug 154699 - [MAINTAINER] www/gallery3: update to 3.0.1
[MAINTAINER] www/gallery3: update to 3.0.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-12 04:30 UTC by Bo-Yi Wu
Modified: 2011-02-12 16:00 UTC (History)
1 user (show)

See Also:


Attachments
gallery3.patch (9.37 KB, patch)
2011-02-12 04:30 UTC, Bo-Yi Wu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bo-Yi Wu 2011-02-12 04:30:08 UTC
    - Update to 3.0.1
	- Important security fix
Comment 1 dfilter freebsd_committer 2011-02-12 04:57:40 UTC
miwi        2011-02-12 04:57:36 UTC

  FreeBSD ports repository

  Modified files:
    www/gallery3         Makefile distinfo pkg-plist 
  Log:
  - Update to 3.0.1
  
  PR:             154699
  Submitted by:   Bo-Yi Wu <appleboy.tw@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.75      +1 -2      ports/www/gallery3/Makefile
  1.51      +2 -2      ports/www/gallery3/distinfo
  1.45      +66 -5     ports/www/gallery3/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Martin Wilke freebsd_committer 2011-02-12 04:57:46 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 Cy.Schubert 2011-02-12 16:00:02 UTC
You didn't need to submit a PR. I was asking permission to commit the 
patch. All you needed to do was say "yes".

BTW, 3.0.1 fixes a security issue.


-- 
Cheers,
Cy Schubert <Cy.Schubert@komquats.com>
FreeBSD UNIX:  <cy@FreeBSD.org>   Web:  http://www.FreeBSD.org



In message <AANLkTimiWFR2Ryu7zHZStVs=Umy1ig2UAga7MqoJSvzF@mail.gmail.com>, 
Bo-Y
i Wu writes:
> --00504502d3199ca074049c0f92de
> Content-Type: text/plain; charset=ISO-8859-1
> 
> Hi:
> 
> Thanks for your help, I already commit it by the following message.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=154699
> 
> On Sat, Feb 12, 2011 at 5:33 AM, Cy Schubert <Cy.Schubert@komquats.com>wrote:
> 
> > Hi,
> >
> > The gallery3 upline has released 3.0.1 which fixes a security issue.
> > Enclosed is my proposed patch. Would you please approve my committing it?
> > Thanks.
> >
> > Index: Makefile
> > ===================================================================
> > RCS file: /home/pcvs/ports/www/gallery3/Makefile,v
> > retrieving revision 1.74
> > diff -u -r1.74 Makefile
> > --- Makefile    9 Nov 2010 05:06:13 -0000       1.74
> > +++ Makefile    11 Feb 2011 21:30:40 -0000
> > @@ -6,8 +6,7 @@
> >  #
> >
> >  PORTNAME=      gallery3
> > -PORTVERSION=   3.0
> > -PORTREVISION=  7
> > +PORTVERSION=   3.0.1
> >  CATEGORIES=    www
> >  MASTER_SITES=  SF/gallery/${PORTNAME}/${PORTVERSION}
> >  DISTNAME=      gallery-${PORTVERSION}
> > Index: distinfo
> > ===================================================================
> > RCS file: /home/pcvs/ports/www/gallery3/distinfo,v
> > retrieving revision 1.50
> > diff -u -r1.50 distinfo
> > --- distinfo    8 Nov 2010 07:54:12 -0000       1.50
> > +++ distinfo    11 Feb 2011 21:30:40 -0000
> > @@ -1,2 +1,2 @@
> > -SHA256 (gallery-3.0.zip) =
> > 5ef9f8cb092f9edafa839e2b6d54d162905e5b70947d58a2
> > 664300e412f4a90e
> > -SIZE (gallery-3.0.zip) = 1706582
> > +SHA256 (gallery-3.0.1.zip) =
> > bdff3e0f5f157343f414cdfe000b11c93400d379103529
> > bbc5852d85eb54b64f
> > +SIZE (gallery-3.0.1.zip) = 1810327
> > Index: pkg-plist
> > ===================================================================
> > RCS file: /home/pcvs/ports/www/gallery3/pkg-plist,v
> > retrieving revision 1.44
> > diff -u -r1.44 pkg-plist
> > --- pkg-plist   8 Nov 2010 07:54:12 -0000       1.44
> > +++ pkg-plist   11 Feb 2011 21:30:40 -0000
> > @@ -44,6 +44,7 @@
> >  %%WWWDIR%%/lib/jquery.js
> >  %%WWWDIR%%/lib/jquery.localscroll.js
> >  %%WWWDIR%%/lib/jquery.scrollTo.js
> > +%%WWWDIR%%/lib/json2-min.js
> >  %%WWWDIR%%/lib/superfish/css/superfish.css
> >  %%WWWDIR%%/lib/superfish/images/arrows-ffffff-rtl.png
> >  %%WWWDIR%%/lib/superfish/images/arrows-ffffff.png
> > @@ -152,6 +153,7 @@
> >  %%WWWDIR%%/modules/gallery/config/routes.php
> >  %%WWWDIR%%/modules/gallery/config/session.php
> >  %%WWWDIR%%/modules/gallery/config/upload.php
> > +%%WWWDIR%%/modules/gallery/config/user_agents.php
> >  %%WWWDIR%%/modules/gallery/controllers/admin.php
> >  %%WWWDIR%%/modules/gallery/controllers/admin_advanced_settings.php
> >  %%WWWDIR%%/modules/gallery/controllers/admin_dashboard.php
> > @@ -162,6 +164,7 @@
> >  %%WWWDIR%%/modules/gallery/controllers/admin_sidebar.php
> >  %%WWWDIR%%/modules/gallery/controllers/admin_theme_options.php
> >  %%WWWDIR%%/modules/gallery/controllers/admin_themes.php
> > +%%WWWDIR%%/modules/gallery/controllers/admin_upgrade_checker.php
> >  %%WWWDIR%%/modules/gallery/controllers/albums.php
> >  %%WWWDIR%%/modules/gallery/controllers/combined.php
> >  %%WWWDIR%%/modules/gallery/controllers/file_proxy.php
> > @@ -218,9 +221,13 @@
> >  %%WWWDIR%%/modules/gallery/helpers/module.php
> >  %%WWWDIR%%/modules/gallery/helpers/movie.php
> >  %%WWWDIR%%/modules/gallery/helpers/photo.php
> > +%%WWWDIR%%/modules/gallery/helpers/random.php
> >  %%WWWDIR%%/modules/gallery/helpers/site_status.php
> > +%%WWWDIR%%/modules/gallery/helpers/system.php
> >  %%WWWDIR%%/modules/gallery/helpers/task.php
> >  %%WWWDIR%%/modules/gallery/helpers/theme.php
> > +%%WWWDIR%%/modules/gallery/helpers/tree_rest.php
> > +%%WWWDIR%%/modules/gallery/helpers/upgrade_checker.php
> >  %%WWWDIR%%/modules/gallery/helpers/user_profile.php
> >  %%WWWDIR%%/modules/gallery/helpers/xml.php
> >  %%WWWDIR%%/modules/gallery/hooks/init_gallery.php
> > @@ -319,6 +326,7 @@
> >  %%WWWDIR%%/modules/gallery/views/permissions_form.html.php
> >  %%WWWDIR%%/modules/gallery/views/quick_delete_confirm.html.php
> >  %%WWWDIR%%/modules/gallery/views/reauthenticate.html.php
> > +%%WWWDIR%%/modules/gallery/views/upgrade_checker_block.html.php
> >  %%WWWDIR%%/modules/gallery/views/upgrader.html.php
> >  %%WWWDIR%%/modules/gallery/views/user_languages_block.html.php
> >  %%WWWDIR%%/modules/gallery/views/user_profile.html.php
> > @@ -326,9 +334,11 @@
> >  %%WWWDIR%%/modules/gallery/views/welcome_message.html.php
> >  %%WWWDIR%%/modules/gallery/views/welcome_message_loader.html.php
> >  %%WWWDIR%%/modules/image_block/helpers/image_block_block.php
> > +%%WWWDIR%%/modules/image_block/helpers/image_block_installer.php
> >  %%WWWDIR%%/modules/image_block/module.info
> >  %%WWWDIR%%/modules/image_block/views/image_block_block.html.php
> >  %%WWWDIR%%/modules/info/helpers/info_block.php
> > +%%WWWDIR%%/modules/info/helpers/info_installer.php
> >  %%WWWDIR%%/modules/info/helpers/info_theme.php
> >  %%WWWDIR%%/modules/info/module.info
> >  %%WWWDIR%%/modules/info/views/info_block.html.php
> > @@ -348,13 +358,45 @@
> >  %%WWWDIR%%/modules/notification/views/item_updated.html.php
> >  %%WWWDIR%%/modules/notification/views/user_profile_notification.html.php
> >  %%WWWDIR%%/modules/organize/controllers/organize.php
> > -%%WWWDIR%%/modules/organize/css/organize_theme.css
> > +%%WWWDIR%%/modules/organize/css/organize_dialog.css
> > +%%WWWDIR%%/modules/organize/css/organize_frame.css
> >  %%WWWDIR%%/modules/organize/helpers/organize_event.php
> >  %%WWWDIR%%/modules/organize/helpers/organize_installer.php
> > -%%WWWDIR%%/modules/organize/helpers/organize_theme.php
> > -%%WWWDIR%%/modules/organize/lib/Gallery3WebClient.swf
> >  %%WWWDIR%%/modules/organize/module.info
> > +%%WWWDIR%%/modules/organize/vendor/ext/css/ext-all.css
> > +%%WWWDIR%%/modules/organize/vendor/ext/css/ux-all.css
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/box/tb-blue.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/button/btn.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/dd/drop-no.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/dd/drop-yes.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/form/text-bg.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/form/trigger.gif
> >
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/grid/invalid_line.gi
> f
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/grid/loading.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/panel/
> > tool-sprites.gi
> > f
> >
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/panel/white-top-bott
> o
> > m.gif
> >
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/progress/progress-bg
> .
> > gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/qtip/bg.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/s.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/shadow-c.png
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/shadow-lr.png
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/shadow.png
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/toolbar/bg.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/tree/arrows.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/tree/drop-add.gif
> >
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/tree/drop-between.gi
> f
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/tree/drop-over.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/tree/folder-open.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/tree/folder.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/tree/loading.gif
> >
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/window/left-corners.
> p
> > ng
> >
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/window/left-right.pn
> g
> >
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/window/right-corners
> .
> > png
> >
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/default/window/top-bottom.pn
> g
> > +%%WWWDIR%%/modules/organize/vendor/ext/images/fam/delete.gif
> > +%%WWWDIR%%/modules/organize/vendor/ext/js/ext-organize-bundle.js
> >  %%WWWDIR%%/modules/organize/views/organize_dialog.html.php
> > +%%WWWDIR%%/modules/organize/views/organize_frame.html.php
> >  %%WWWDIR%%/modules/recaptcha/controllers/admin_recaptcha.php
> >  %%WWWDIR%%/modules/recaptcha/css/recaptcha.css
> >  %%WWWDIR%%/modules/recaptcha/helpers/recaptcha.php
> > @@ -401,7 +443,7 @@
> >  %%WWWDIR%%/modules/server_add/helpers/server_add_theme.php
> >  %%WWWDIR%%/modules/server_add/js/admin.js
> >  %%WWWDIR%%/modules/server_add/js/server_add.js
> > -%%WWWDIR%%/modules/server_add/models/server_add_file.php
> > +%%WWWDIR%%/modules/server_add/models/server_add_entry.php
> >  %%WWWDIR%%/modules/server_add/module.info
> >  %%WWWDIR%%/modules/server_add/views/admin_server_add.html.php
> >  %%WWWDIR%%/modules/server_add/views/server_add_tree.html.php
> > @@ -423,6 +465,7 @@
> >  %%WWWDIR%%/modules/tag/helpers/tag_items_rest.php
> >  %%WWWDIR%%/modules/tag/helpers/tag_rest.php
> >  %%WWWDIR%%/modules/tag/helpers/tag_rss.php
> > +%%WWWDIR%%/modules/tag/helpers/tag_task.php
> >  %%WWWDIR%%/modules/tag/helpers/tag_theme.php
> >  %%WWWDIR%%/modules/tag/helpers/tags_rest.php
> >  %%WWWDIR%%/modules/tag/models/tag.php
> > @@ -457,6 +500,7 @@
> >  %%WWWDIR%%/modules/watermark/helpers/watermark_installer.php
> >  %%WWWDIR%%/modules/watermark/module.info
> >  %%WWWDIR%%/modules/watermark/views/admin_watermarks.html.php
> > +%%WWWDIR%%/php.ini
> >  %%WWWDIR%%/robots.txt
> >  %%WWWDIR%%/system/KohanaLicense.html
> >  %%WWWDIR%%/system/config/cache.php
> > @@ -756,7 +800,24 @@
> >  @dirrm %%WWWDIR%%/modules/recaptcha/controllers
> >  @dirrm %%WWWDIR%%/modules/recaptcha
> >  @dirrm %%WWWDIR%%/modules/organize/views
> > -@dirrm %%WWWDIR%%/modules/organize/lib
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/js
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/fam
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default/window
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default/tree
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default/toolbar
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default/qtip
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default/progress
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default/panel
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default/grid
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default/form
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default/dd
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default/button
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default/box
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images/default
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/images
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext/css
> > +@dirrm %%WWWDIR%%/modules/organize/vendor/ext
> > +@dirrm %%WWWDIR%%/modules/organize/vendor
> >  @dirrm %%WWWDIR%%/modules/organize/helpers
> >  @dirrm %%WWWDIR%%/modules/organize/css
> >  @dirrm %%WWWDIR%%/modules/organize/controllers
> >
> >
> > --
> > Cheers,
> > Cy Schubert <Cy.Schubert@komquats.com>
> > FreeBSD UNIX:  <cy@FreeBSD.org>   Web:  http://www.FreeBSD.org
> >
> >
> >
> >
> 
> 
> -- 
> # Name: Bo-Yi Wu
> # Nick name:appleboy
> # M.S National Chung Cheng University Electric Engineering
> # Resume: http://blog.wu-boy.com/about/
> # Mobile Phone: 0934353293